Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillPie3DPlot

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillChartPlot
          net.sf.jasperreports.charts.fill.JRFillPie3DPlot

All Implemented Interfaces:
  java.lang.Cloneable, JRPie3DPlot, JRChartPlot, JRCloneable

    public class JRFillPie3DPlot

extends JRFillChartPlot
implements JRPie3DPlot

Version:
  $Id: JRFillPie3DPlot.java 3948 2010-09-01 12:07:07Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`chart, parent`

Fields inherited from interface net.sf.jasperreports.charts.JRPie3DPlot
`DEPTH_FACTOR_DEFAULT`

Constructor Summary
`JRFillPie3DPlot(JRPie3DPlot pie3DPlot, JRFillObjectFactory factory)`

Method Summary
`java.lang.Boolean` | `getCircular()`
`double` | `getDepthFactor()` Deprecated. Replaced by `getDepthFactorDouble()`
`java.lang.Double` | `getDepthFactorDouble()`
`JRItemLabel` | `getItemLabel()`
`java.lang.String` | `getLabelFormat()`
`java.lang.String` | `getLegendLabelFormat()`
`java.lang.Boolean` | `getShowLabels()`
`boolean` | `isCircular()` Deprecated. Replaced by `getCircular()`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Constructor Detail

### JRFillPie3DPlot

    public JRFillPie3DPlot(JRPie3DPlot pie3DPlot,
                           JRFillObjectFactory factory)

Method Detail

### getDepthFactor

    public double getDepthFactor()

  Deprecated. Replaced by `getDepthFactorDouble()`

  Specified by:
    `getDepthFactor` in interface `JRPie3DPlot`

### getDepthFactorDouble

    public java.lang.Double getDepthFactorDouble()

  Specified by:
    `getDepthFactorDouble` in interface `JRPie3DPlot`

### isCircular

    public boolean isCircular()

  Deprecated. Replaced by `getCircular()`

  Specified by:
    `isCircular` in interface `JRPie3DPlot`

### getCircular

    public java.lang.Boolean getCircular()

  Specified by:
    `getCircular` in interface `JRPie3DPlot`

### getLabelFormat

    public java.lang.String getLabelFormat()

  Specified by:
    `getLabelFormat` in interface `JRPie3DPlot`

### getLegendLabelFormat

    public java.lang.String getLegendLabelFormat()

  Specified by:
    `getLegendLabelFormat` in interface `JRPie3DPlot`

### getItemLabel

    public JRItemLabel getItemLabel()

  Specified by:
    `getItemLabel` in interface `JRPie3DPlot`

### getShowLabels

    public java.lang.Boolean getShowLabels()

  Specified by:
    `getShowLabels` in interface `JRPie3DPlot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com